All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider.support
Class BaseCustomSupport

    com.sas.actionprovider.support.BaseCustomSupport

All Implemented Interfaces:
  CustomAreaInterface

Direct Known Subclasses:
  HttpCustomSupport, SwingCustomSupport

    public abstract class BaseCustomSupport

implements CustomAreaInterface

This is the base class for support classes that manage the registering and retrieval of custom actions for viewer components that do not have any default actions.

A basic understanding of the ActionProvider Framework, of which this class is a part, is recommended before attempting to use this class.

It defines a single areaType, `CustomAreaInterface.CUSTOM_AREA`, to which custom Actions may be registered.

- For general information on the ActionProvider Framework, including an overview of how the primary classes of the framework work together, refer to the ``com.sas.actionprovider`` package documentation.

- For examples demonstrating how to use the ActionProvider Framework, including how to override default Actions or add new custom Actions, refer to the Samples Site.

Visit the AppDev Studio Developer's Site to access step-by-step examples, white papers and additional usage information at http://support.sas.com/rnd/appdev/.

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site .

Since:
  3.0

Field Summary

Fields inherited from class com.sas.actionprovider.support.BaseActionProviderSupport
`AREA_DISABLED, AREA_VALUE_ATTRKEY, DISABLED, ENABLED, IS_CURRENT_STATE_DISABLED, MODEL_MEMBER_DISABLED, MODEL_STATE_DISABLED, MODEL_TYPE_DISABLED, NON_SPECIFIC_AREA, UNSUPPORTED, VIEWER_DISABLED`

Fields inherited from interface com.sas.actionprovider.support.CustomAreaInterface
`CUSTOM_AREA`

Constructor Summary
`BaseCustomSupport(java.lang.Class actionClass)` ActionClass Constructor

Method Summary
`void` | `initialize()` Initializes the support class.
`BaseAction` | `newActionInstance(java.lang.String areaType, java.lang.String actionType)` This method always returns null because no default actions are defined on this support class.
`protected boolean` | `validArea(Area area, ActionSupportFilter filter)` This method returns true unconditionally because there are no specific Area 'values' to be validated within the CUSTOM_AREA areaType.

Methods inherited from class com.sas.actionprovider.support.BaseActionProviderSupport
`addDefaultAction, getAction, getActionId, getActionOrderList, getActionProvider, getActions, getActionScopeAttribute, getActionScopeAttributeMap, getDefaultAction, getLocale, listActionTypes, listAreaTypes, listDefaultActions, reset, setAction, setActionOrderList, setActionProvider, setLocale`

Constructor Detail

### BaseCustomSupport

    public BaseCustomSupport(java.lang.Class actionClass)

  ActionClass Constructor

  Parameters:
    `actionClass` - The class to be used for instantiating actions.

Method Detail

### initialize

    public void initialize()

  Initializes the support class.

  Called by the ActionProvider after it sets the locale on this support class.

  Specified by:
    `initialize` in class `BaseActionProviderSupport`
  See Also:
    `BaseActionProviderSupport.setLocale(java.util.Locale)`

### validArea

    protected boolean validArea(Area area,
                                ActionSupportFilter filter)

  This method returns true unconditionally because there are no specific Area 'values' to be validated within the CUSTOM_AREA areaType.

  Specified by:
    `validArea` in class `BaseActionProviderSupport`
  Parameters:
    `area` - The Area object that may or may not specify certain area 'values'.
    `actionFilter` - the ActionSupportFilter that the component passed as an argument on the getActions() method.
  Returns:
    true
  See Also:
    `CustomAreaInterface.CUSTOM_AREA`

### newActionInstance

    public BaseAction newActionInstance(java.lang.String areaType,
                                        java.lang.String actionType)

  This method always returns null because no default actions are defined on this support class.

  Specified by:
    `newActionInstance` in class `BaseActionProviderSupport`
  Parameters:
    `areaType` - the key associated with a defined area type.
    `actionType` - the key associated with a defined action type.
  Returns:
    null.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.